This file is part of mingw-cross-env.
See doc/index.html for further information.

Fast-forward to latest FreeTDS from cvs
http://sourceforge.net/scm/?type=cvs&group.id=33106

Produced with this script:
#--------------------------------------------------------------------#
#!/bin/bash

(
  echo "This file is part of mingw-cross-env."
  echo "See doc/index.html for further information."
  echo
  echo "Fast-forward to latest FreeTDS from cvs"
  echo "http://sourceforge.net/scm/?type=cvs&group.id=33106"
  echo
  echo "Produced with this script:"
  echo "#--------------------------------------------------------------------#"
  cat "$0"
  echo "#--------------------------------------------------------------------#"
) > src/freetds-1-fastforward.patch

GITDIR=~/projects/freetds.dev/git-freetds
PKGDIR=freetds-0.82

# create or update clone
#git cvsimport -v -d:pserver:anonymous@freetds.cvs.sourceforge.net:/cvsroot/freetds freetds

rm -rf $PKGDIR
tar xf pkg/$PKGDIR.tar.gz

(
  cd $GITDIR
  git reset --hard
  git checkout R0_82
)

lst="\
  ChangeLog-0.82 \
  INSTALL.CVS \
  TODO.freddy \
  configure.ac \
  doc/htdoc/news.html \
  doc/htdoc/faq.html \
  doc/htdoc/contrib.html \
  doc/htdoc/support.html \
  doc/README.releasing \
  doc/txt2man \
  misc/freetds_autobuild \
  misc/test-dist.sh \
  misc/test-auto.sh \
  misc/test-other.sh \
  mkinstalldirs \
  samples/odbc_rpc.pl \
  src/pool/stream.c \
  src/tds/alternative_character_sets.h \
  src/tds/character_sets.h \
  src/tds/encodings.pl \
  src/tds/num_limits.pl \
  src/tds/unittests/flags.c \
  src/tds/tds_willconvert.pl \
  src/odbc/unittests/rownumber.c \
  src/odbc/checkexport.sh \
  vms/Makefile.am \
  win32/build_dsw.pl \
  "

lst="$lst $(cd $GITDIR && find -name .cvsignore)"

for a in $lst; do
   if [ -f $PKGDIR/$a ]; then
       cp $PKGDIR/$a $GITDIR/$a
   else
       rm $GITDIR/$a
   fi
done

# write reset patch
(
  cd $GITDIR
  echo
  echo "======== reset files to match 0.82 tag"
  git diff -R R0_82 -- $lst
) >> src/freetds-1-fastforward.patch

(
  cd $GITDIR
  git reset --hard
)

# write rewind commits
(
  cd $GITDIR
  echo
  echo "======== climb down out of branch"
  git log -R -p ^branch-0-82 R0_82
  #git diff -R branch-0-82 R0_82
) >> src/freetds-1-fastforward.patch


(
  cd $GITDIR
  git checkout master
  git reset --hard
)

# write fast forward commits
(
  cd $GITDIR
  echo
  echo "======== fast forward to latest"
  git log --reverse -p ^branch-0-82 master
  #git diff branch-0-82 master
) >> src/freetds-1-fastforward.patch

# check the results
cat src/freetds-1-fastforward.patch \
    | patch -d $PKGDIR -p1 -s 
diff --git b/.cvsignore a/.cvsignore
new file mode 100644
index 0000000..d6098e5
--- /dev/null
+++ a/.cvsignore
@@ -0,0 +1,21 @@
+config.log
+config.cache
+config.status
+config.sub
+config.guess
+configure
+Makefile
+Makefile.in
+libtool
+ltmain.sh
+ltconfig
+ltcf-c.sh
+aclocal.m4
+autom4te.cache
+depcomp
+so_locations
+freetds.spec
+PWD
+doxyfile
+test-dist.log
+compile
